import { Card, CardBody, CardTitle, Grid, GridItem } from "@patternfly/react-core";
import React from "react";
import cockpit from "cockpit";
import { NodeRedLink } from "./nodered-link/NodeRedLinkButton.jsx";
import { RevPiHelpText } from "../common.components.jsx";

const _ = cockpit.gettext;

export function NodeRedCard ({ getRevpiSwitch, item }) {
    const cardTitle = _("NodeRed");
    const { isAvailable, isEnabled } = item;
    return (
        <Card isFullHeight name='node-red'>
            <CardTitle>
                {cardTitle}
                <RevPiHelpText title={cardTitle}>
                    {_("Manage Node-RED settings and configure corresponding services.")}
                </RevPiHelpText>
            </CardTitle>
            <CardBody>
                <Grid hasGutter>
                    <GridItem span={12}>
                        <NodeRedLink isAvailable={isAvailable} isEnabled={isEnabled} />
                    </GridItem>
                    <GridItem span={12}>
                        {getRevpiSwitch("nodered")}
                    </GridItem>
                    <GridItem span={12}>
                        {getRevpiSwitch("noderedrevpinodes-server")}
                    </GridItem>
                </Grid>
            </CardBody>
        </Card>
    );
}
